MT_DESTROY_ALL_POOLS(3)

FUNCTION
mt_destroy_all_pools - This routine will destroy all thread pools.

SYNOPSIS
#include <karma_mt.h>

void mt_destroy_all_pools

(flag interrupt)

DESCRIPTION
This routine will destroy all thread pools.

interrupt
    If TRUE, any jobs not yet completed will be killed, else the function will wait for uncompleted jobs to finish prior to destroying the pools.

RETURN VALUE
Nothing.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/